searchData={"content_type":"text/markdown","items":[{"doc":"This is a port of\n[MapBox's SphericalMercator JS library](http://github.com/mapbox/sphericalmercator)\nto Elixir.\n\nThe API remains similar, so refer to the original project\nfor the documentation.\n\nThe code could be prettier but it aims at following the\nstyle of original implementation.","ref":"SphericalMercator.html","title":"SphericalMercator","type":"module"},{"doc":"Convert tile xyz value to bbox of the form `[w, s, e, n]`\n\n- `sm` - a SphericalMercator struct\n- `x` - x (longitude) number\n- `y` - y (latitude) number\n- `zoom` - zoom\n- `tms_style` - whether to compute using tms-style\n- `srs` - projection for resulting bbox (WGS84|900913)\n\nReturns a bbox list of values in form `[w, s, e, n]`.","ref":"SphericalMercator.html#bbox/6","title":"SphericalMercator.bbox/6","type":"function"},{"doc":"Convert projection of given bbox.\n\n- `bbox` - bbox in the form `[w, s, e, n]`.\n- `to` - projection of output bbox (WGS84|900913). Input bbox\n       assumed to be the \"other\" projection.\n\nReturns bbox with reprojected coordinates.","ref":"SphericalMercator.html#convert/3","title":"SphericalMercator.convert/3","type":"function"},{"doc":"Convert lon/lat values to 900913 x/y.","ref":"SphericalMercator.html#forward/2","title":"SphericalMercator.forward/2","type":"function"},{"doc":"Convert 900913 x/y values to lon/lat.","ref":"SphericalMercator.html#inverse/2","title":"SphericalMercator.inverse/2","type":"function"},{"doc":"Convert screen pixel value to lon lat\n\n- `sm` - a SphericalMercator struct\n- `px` - a list (`[x, y]`) array of geographic coordinates.\n- `zoom` - zoom level.","ref":"SphericalMercator.html#ll/3","title":"SphericalMercator.ll/3","type":"function"},{"doc":"SphericalMercator constructor: precaches calculations\nfor fast tile lookups.","ref":"SphericalMercator.html#new/1","title":"SphericalMercator.new/1","type":"function"},{"doc":"Convert lon lat to screen pixel value.\n\n- `sm` - a SphericalMercator struct\n- `ll` - a list (`[lon, lat]`) of geographic coordinates.\n- `zoom` - zoom level.","ref":"SphericalMercator.html#px/3","title":"SphericalMercator.px/3","type":"function"},{"doc":"Convert bbox to xyx bounds\n\n- `bbox` - bbox in the form `[w, s, e, n]`.\n- `zoom` - zoom.\n- `tms_style` - whether to compute using tms-style.\n- `srs` - projection of input bbox (WGS84|900913).\n\nReturns XYZ bounding box with list `[minX, maxX, minY, maxY]`.","ref":"SphericalMercator.html#xyz/5","title":"SphericalMercator.xyz/5","type":"function"},{"doc":"Two-element list with coordinates in the form `[x,y]` or `[long,lat]`.","ref":"SphericalMercator.html#t:coords/0","title":"SphericalMercator.coords/0","type":"type"},{"doc":"Four-element list with coords bounding box in the form `[w, s, e, n]`.","ref":"SphericalMercator.html#t:coordsbox/0","title":"SphericalMercator.coordsbox/0","type":"type"},{"doc":"Projection, either \"WGS84\" or \"900913\".","ref":"SphericalMercator.html#t:srs/0","title":"SphericalMercator.srs/0","type":"type"},{"doc":"","ref":"SphericalMercator.html#t:t/0","title":"SphericalMercator.t/0","type":"type"},{"doc":"Four-element list with XYZ bounding box in the form `[min_x, min_y, max_x, max_y]`.","ref":"SphericalMercator.html#t:xyzbox/0","title":"SphericalMercator.xyzbox/0","type":"type"}]}